# 3.0.0 (2020-04-05)

This new major release pivots `ngx-daterangepicker-material` to become an `@angular/material` component, in that it now requires `@angular/material` to correctly render and leverages `@angular/material` building blocks throughout. As such, it adheres to theming and UX standards. It now correctly uses the `CDK Overlay` to render the dialog for instance, which takes care of some issues present with the previous implementation (if you had components with a `z-index` > 1000 on your page, you were going to have a bad time).

Upgrading from previous versions, you will have to add `@angular/material` to your project, after which the new version of `ngx-daterangepicker-material` should require no further changes to work correctly.

### New Features

-   `ng add ngx-daterangepicker-material` functionality was added to allow users to easily add this component to their Angular project
-   the component now correctly accepts Angular Material themes (the documentation has a theme switcher identical to https://material.angular.io/ to showcase this)

### Chores

-   bump all `@angular` packages to 9.1.0
-   bump almost every other package to latest
-   fixed `ng deploy` to correctly deploy to GitHub pages
-   added [Prettier](https://prettier.io/) code formatter to address formatting inconsistencies

### Other Changes

-   **demo:**
    -   updated documentation to use `@angular/material` components throughout

# 2.1.7 (2019-08-05)

### Chores

-   **deps:**
    -   bump lodash from 4.17.11 to 4.17.14 ([864a641d](https://github.com/fetrarij/ngx-daterangepicker-material/commit/864a641d76965df73bab84b085d28079f0064775))
    -   bump lodash.mergewith from 4.6.1 to 4.6.2 ([623909bb](https://github.com/fetrarij/ngx-daterangepicker-material/commit/623909bb4f1edf10089df0ce69cc50714d9dab8f))

### New Features

-   **rangepicker:** update calendar when changing the input element Fix [#115](https://github.com/fetrarij/ngx-daterangepicker-material/pull/115) ([671dcf9a](https://github.com/fetrarij/ngx-daterangepicker-material/commit/671dcf9aab0783ad8131b131068fe60adb426842))

### Bug Fixes

-   **label:** clear title to clear label in local ([30f7c2e4](https://github.com/fetrarij/ngx-daterangepicker-material/commit/30f7c2e4b9f2f98a50afa48baec3a72e28438b90))
-   **ranges:** date doesnt update if alwaysShowCalendars = false and keepCalendarOpeningWithRange = true Close [#147](https://github.com/fetrarij/ngx-daterangepicker-material/pull/147) ([28e3684d](https://github.com/fetrarij/ngx-daterangepicker-material/commit/28e3684ddd74f79bca04c6ce204a9fc038b33de4))

### Other Changes

-   **demo:** add lockStartDate in full-options page ([1ceff3f9](https://github.com/fetrarij/ngx-daterangepicker-material/commit/1ceff3f92be00eaff293a9a88eaa54c477306b90))

# 2.1.1 (2019-05-04)

### Documentation Changes

-   **demo:** add fr language for demo purpose ([c374cb8d](https://github.com/fetrarij/ngx-daterangepicker-material/commit/c374cb8d63aebb15a3d233c284dcf5c09e626072))

### Bug Fixes

-   **ngModelChange:** initialized by undefined ([5beddf21](https://github.com/fetrarij/ngx-daterangepicker-material/commit/5beddf213314a6085f031fd534019d6a16ad07ed))

### Other Changes

-   **locale:** update locale config ([41dac5b1](https://github.com/fetrarij/ngx-daterangepicker-material/commit/41dac5b1d4c5a384538138f28a03b10e48c38e8d))

# 2.1.0 (2019-04-05)

### Chores

-   **demo:**
    -   add reactive forms in demo ([d89333c7](https://github.com/fetrarij/ngx-daterangepicker-material/commit/d89333c7a00210fc7e2500a441863659a2d5e98a))
    -   add reactive forms in demo ([09884ea5](https://github.com/fetrarij/ngx-daterangepicker-material/commit/09884ea526a2a1dcc11671b7c79abf578884349e))
-   **doc:** add development process ([76ef56be](https://github.com/fetrarij/ngx-daterangepicker-material/commit/76ef56be1dfa9f539593994045c266aa28898e96))
-   **package:** add package-lock.json to fix build ([fc91e9bf](https://github.com/fetrarij/ngx-daterangepicker-material/commit/fc91e9bfdbad9e3ebd6c68b334b82d3ddc13ac19))
-   **build:** fix build ([0d930d5c](https://github.com/fetrarij/ngx-daterangepicker-material/commit/0d930d5caf5b884e135a720262e9120ffe807c8f))

### New Features

-   **dateLimit:** add the dateLimit option Fix [#118](https://github.com/fetrarij/ngx-daterangepicker-material/pull/118) ([d0564523](https://github.com/fetrarij/ngx-daterangepicker-material/commit/d0564523f86a43f4e6b29f331efbaf1727ba4cbe))
-   **inline:** allow isCustomDate for inline mode [#44](https://github.com/fetrarij/ngx-daterangepicker-material/pull/44) ([b54de73a](https://github.com/fetrarij/ngx-daterangepicker-material/commit/b54de73abce3b8fdc1bb0d9128715c0a2206f9c6))

### Bug Fixes

-   **calendar:**
    -   fix model's initialization ([e22e741e](https://github.com/fetrarij/ngx-daterangepicker-material/commit/e22e741ebb631759487fa51b42fc1411efe2f44d))
    -   fix model's initialization ([10f4a33b](https://github.com/fetrarij/ngx-daterangepicker-material/commit/10f4a33bd1fe399a6e23753401293d6ffee61b01))
-   **firstDay:**
    -   jumps day label with multiple components Fix [#144](https://github.com/fetrarij/ngx-daterangepicker-material/pull/144) ([d52868eb](https://github.com/fetrarij/ngx-daterangepicker-material/commit/d52868ebabbc5783fc0596baa2df11f86f72e043))
    -   jumps day label with multiple components Fix [#144](https://github.com/fetrarij/ngx-daterangepicker-material/pull/144) ([64f372dc](https://github.com/fetrarij/ngx-daterangepicker-material/commit/64f372dcdc453aa14913cd6e8d02732bbf86fd7c))
-   **ranges:** Timepicker not updated when range clicked Close [#1015](https://github.com/fetrarij/ngx-daterangepicker-material/pull/1015) ([8957c67c](https://github.com/fetrarij/ngx-daterangepicker-material/commit/8957c67caa15d561098c25dfa2aadfe879554b85))
-   **style:** timepicker hided ([3ec5798e](https://github.com/fetrarij/ngx-daterangepicker-material/commit/3ec5798e5cbada223101ba73d2b69aecdd53f501))

### Other Changes

-   **dateLimit:** add the dateLimit option Fix [#118](https://github.com/fetrarij/ngx-daterangepicker-material/pull/118) ([7ad369a6](https://github.com/fetrarij/ngx-daterangepicker-material/commit/7ad369a6d08454b7bd4b12823b14e4854e3bd015))

# 2.0.0 (2019-02-04)

### Chores

-   **build:** fix build ([0d930d5c](https://github.com/fetrarij/ngx-daterangepicker-material/commit/0d930d5caf5b884e135a720262e9120ffe807c8f))

-   **test:** fix test with new imports ([e151ecb8](https://github.com/fetrarij/ngx-daterangepicker-material/commit/e151ecb8d284b9fc6e9e9e8c681e4c1457d46463))

### New Features

-   **daterangepicker:** add global locale config [#69](https://github.com/fetrarij/ngx-daterangepicker-material/pull/69) ([0c303f7c](https://github.com/fetrarij/ngx-daterangepicker-material/commit/0c303f7cb3028ea31642bb4cfc7d9e315a6dcb4e))

**_Breaking change:_**
Instead of using `NgxDaterangepickerMd` you should now use `NgxDaterangepickerMd.forRoot()` in imports.

### Bug Fixes

-   **locale:** fix setting locale for individual and inline mode Fix [#75](https://github.com/fetrarij/ngx-daterangepicker-material/pull/75) ([f73c7515](https://github.com/fetrarij/ngx-daterangepicker-material/commit/f73c75156490e689d061b2dc2369b468ce3712dc))
-   **typo:** typo in readme ([9b70f872](https://github.com/fetrarij/ngx-daterangepicker-material/commit/9b70f872db4f41d917813446d2b7690077272965))

### Other Changes

-   **global-locale:** add doc for global locale ([57530799](https://github.com/fetrarij/ngx-daterangepicker-material/commit/57530799df836662232fcb2c9819db65b54e479e))

### Refactors

-   **code:** refactoring ([92f01ecf](https://github.com/fetrarij/ngx-daterangepicker-material/commit/92f01ecfb8416f01a33f2ee76fa68adf1866d735))

# 1.2.7 (2018-12-14)

### New Features

-   **css:** make easy for styling ([2e649c6a](https://github.com/fetrarij/ngx-daterangepicker-material/commit/2e649c6a875e856502c8f44744978b47ec4dd573))

### Bug Fixes

-   **onPush:** popup doesn't close on first click when OnPush changeDetection ([7e2d27d6](https://github.com/fetrarij/ngx-daterangepicker-material/commit/7e2d27d64ac3bcefe84a6abd2f202a9d36714f1b))
-   **ie11-clickdate:** Unable to select custom date range from calendar in IE1 ([0a07daba](https://github.com/fetrarij/ngx-daterangepicker-material/commit/0a07dabaf2eb4ae1abd16e1513389d5d64a0a114))
-   **locale-format:** Locale.format does not change date formats ([5c4f7545](https://github.com/fetrarij/ngx-daterangepicker-material/commit/5c4f75453ecafae393b96f61118adc8034c13edc))

### Code Style Changes

-   **move-css:** move .btn / .clear / .buttons / [hidden] under .md-drppicker ([76406c02](https://github.com/fetrarij/ngx-daterangepicker-material/commit/76406c02e885612f1a73a57ce1b99a8aa6b5a331))
-   **month-year-select:** add cursor pointer ([916810fd](https://github.com/fetrarij/ngx-daterangepicker-material/commit/916810fd6ad2024c1c898198ef015259556b8fca))

# 1.2.6 (2018-11-29)

### Chores

-   **demo:** add timepicker demo ([86597697](https://github.com/fetrarij/ngx-daterangepicker-material/commit/8659769727d18d549545ef026756da3f006caea5))

### Documentation Changes

-   **timepicker:** add timepicker to doc and demo ([1c95fda8](https://github.com/fetrarij/ngx-daterangepicker-material/commit/1c95fda80571aead94b5c6476b14c2a820cb1bba))

### New Features

-   **timepicker:** enabling timepicker ([02b4c655](https://github.com/fetrarij/ngx-daterangepicker-material/commit/02b4c655bf9b8358e65b14de81673c4a467e1129))

### Bug Fixes

-   **daterange:** initialize format ([8f40adce](https://github.com/fetrarij/ngx-daterangepicker-material/commit/8f40adce8ad6194adeda661b730e08dfa3304626))
-   **calendar:** fix the position after opening ([69ae2760](https://github.com/fetrarij/ngx-daterangepicker-material/commit/69ae27601efe63854123e867246704e60ecd395a))

# 1.2.5 (2018-11-23)

### Chores

-   **travis:**
    -   fix build ([eca7ba34](https://github.com/fetrarij/ngx-daterangepicker-material/commit/eca7ba34a57ce354ae50af6474d1ffaab05d7462))
    -   fix build ([0e8c4d61](https://github.com/fetrarij/ngx-daterangepicker-material/commit/0e8c4d6121c0b89925590d0fc3f1223c4303b57e))

### New Features

-   **clear:**
    -   when setting value to falsy, datepicker will clear, and added demo ([6b9f8d3c](https://github.com/fetrarij/ngx-daterangepicker-material/commit/6b9f8d3c8f59c1105135a7df77a8a7ac6ef52243))
    -   when setting value to falsy, datepicker will clear, and added demo ([18559a7a](https://github.com/fetrarij/ngx-daterangepicker-material/commit/18559a7a1677f73d06eec912cc637f1db2df96d5))
-   **daterangepicker:**
    -   if there are InvalidDate from isInvalidDate function, range become the first range until the first invalid date Fix [#7](https://github.com/fetrarij/ngx-daterangepicker-material/pull/7) ([14488fb2](https://github.com/fetrarij/ngx-daterangepicker-material/commit/14488fb2fc336120ba407944d9176301e162d31e))
    -   if there are InvalidDate from isInvalidDate function, range become the first range until the first invalid date Fix [#7](https://github.com/fetrarij/ngx-daterangepicker-material/pull/7) ([f0f4cce4](https://github.com/fetrarij/ngx-daterangepicker-material/commit/f0f4cce499e8c50d46892c4b69617155f03258ac))

### Bug Fixes

-   **animation-css:**
    -   Calendar always opens from left top corner even though [opens] is set to center or right ([9faa528b](https://github.com/fetrarij/ngx-daterangepicker-material/commit/9faa528be3ff78fc41e17991ef57683896b8afaf))
    -   Calendar always opens from left top corner even though [opens] is set to center or right ([512bb913](https://github.com/fetrarij/ngx-daterangepicker-material/commit/512bb9139019f6f43e2084991abca4d577d27d3b))
-   **range:**
    -   current month became previous month ([f0a1aae2](https://github.com/fetrarij/ngx-daterangepicker-material/commit/f0a1aae27ee14610c442b314ab1d52f8abdd9555))
    -   current month became previous month ([8ade181f](https://github.com/fetrarij/ngx-daterangepicker-material/commit/8ade181f77d36b5aba0d1fa8bb8e08a026b3c0b5))
-   **datesUpdated:**
    -   only when dates model is updated ([b0494430](https://github.com/fetrarij/ngx-daterangepicker-material/commit/b0494430ce730af7f78ba4f2f751ca3f8476368e))
    -   only when dates model is updated ([111db419](https://github.com/fetrarij/ngx-daterangepicker-material/commit/111db41987bdb6d52ffd353ee0161ddadf63032d))

# 1.2.4 (2018-10-04)

### New Features

-   **picker:**
    -   possibility to create a class in an element so that this element can not handle the click event located outside calendar [#39](https://github.com/fetrarij/ngx-daterangepicker-material/pull/39) ([13ba7dd1](https://github.com/fetrarij/ngx-daterangepicker-material/commit/13ba7dd14df2d2be8ff7d183aaf6045bbc8e9c73))
    -   possibility to create a class in an element so that this element can not handle the click event located outside calendar [#39](https://github.com/fetrarij/ngx-daterangepicker-material/pull/39) ([ac3f3626](https://github.com/fetrarij/ngx-daterangepicker-material/commit/ac3f3626a84136b300f542cfcbc15fd0e07cf8e6))

### Bug Fixes

-   **calendar:** wrong typo ([4eb70fcb](https://github.com/fetrarij/ngx-daterangepicker-material/commit/4eb70fcbf6ae1d96f40fc3c438c005e5035d85a9))
-   **showRangeLabelOnInput:**
    -   custom range = show date ([52e34933](https://github.com/fetrarij/ngx-daterangepicker-material/commit/52e349334f0a14c7e4e49bbecae4dcd73d0a57fb))
    -   Showing the preset label doesn't work for the first time with supplied date ([4bdaaeb2](https://github.com/fetrarij/ngx-daterangepicker-material/commit/4bdaaeb268b42c164a9d427b89168f48d3fbd89d))

### Other Changes

-   **demo:**
    -   add demo for : ability to open the calendar from a button ([08c9b068](https://github.com/fetrarij/ngx-daterangepicker-material/commit/08c9b0680748bd350adb478727e65336a8c1814a))
    -   add demo for : ability to open the calendar from a button ([26d12fb9](https://github.com/fetrarij/ngx-daterangepicker-material/commit/26d12fb9fe8e5aeca4a44cbff9f1ec36ed184c74))
-   **readme:** add donation button ([0f4758dc](https://github.com/fetrarij/ngx-daterangepicker-material/commit/0f4758dcc90d39923ccb45208f1a17daea04edb0))

# 1.2.2 (2018-09-11)

### New Features

-   **apply-button:** on apply, set endDate = startDate if it is not selected Close [#42](https://github.com/fetrarij/ngx-daterangepicker-material/pull/42) ([5c8022e3](https://github.com/fetrarij/ngx-daterangepicker-material/commit/5c8022e353ea6e2a6fedb60442ea7ca358124c17))
-   **inline:** allow isInvalidDate ([36933b16](https://github.com/fetrarij/ngx-daterangepicker-material/commit/36933b165b073c5168975f3666b8b40739cad2d4))

### Bug Fixes

-   **code:** [#43](https://github.com/fetrarij/ngx-daterangepicker-material/pull/43) ([f632f98e](https://github.com/fetrarij/ngx-daterangepicker-material/commit/f632f98e3f3cfb7b35a6ba936160ce1c3d35d320))

# 1.2.1 (2018-09-10)

### New Features

-   **inline:** inline daterangepicker [#31](https://github.com/fetrarij/ngx-daterangepicker-material/pull/31) ([eb574bea](https://github.com/fetrarij/ngx-daterangepicker-material/commit/eb574bea36c249306aadc6d2dbe7d40ca673ba32))

### Bug Fixes

-   **calendar:** Next month calendar doesn't show up if the preview dates for next month covers the range & fix on disabled ranges ([6b60146a](https://github.com/fetrarij/ngx-daterangepicker-material/commit/6b60146a77c11e87058ddfc1e4e1910b1a0786ff))
-   **dropdowns:** linkedCalendar & disable dates lower than startDate ([009dad5c](https://github.com/fetrarij/ngx-daterangepicker-material/commit/009dad5c291728b076438a9bfe1d568a88731c4e))
-   **component:** Template parse errors: 'ngx-daterangepicker-material' is not a known element: when using as inline element ([a77805ad](https://github.com/fetrarij/ngx-daterangepicker-material/commit/a77805ad9a51d082ab3c8bb0fbf68a4138348a81))

### Other Changes

-   **range:** dont close the calendar after choosing a range ( Close [#38](https://github.com/fetrarij/ngx-daterangepicker-material/pull/38) ) & ability to show the range's name in the input instead of just the dates that belong to it ( Close [#34](https://github.com/fetrarij/ngx-daterangepicker-material/pull/34) ) ([998dcae0](https://github.com/fetrarij/ngx-daterangepicker-material/commit/998dcae00addac65f8285f38efa26101ede40338))

# 1.2.0 (2018-07-24)

### New Features

-   **attribut:** add new attributs:

    -   `opens`: ability to position calendar to left, right or center [#21](https://github.com/fetrarij/ngx-daterangepicker-material/pull/21)

    -   `drops`: ability to position calendar to up or down ([c8c64605](https://github.com/fetrarij/ngx-daterangepicker-material/commit/c8c64605ee7deae36c41c4c64166f9bec21c3195))

    -   `firstMonthDayClass` & `lastMonthDayClass` & `emptyWeekRowClass` & `lastDayOfPreviousMonthClass` & `firstDayOfNextMonthClass` : for customising the dates classes (Thanks to: [@butterknight](http://https://github.com/butterknight) )

-   **ranges:**
    -   set active class to default date in range ([6fc70f02](https://github.com/fetrarij/ngx-daterangepicker-material/commit/6fc70f025906bf6babbc5812a8e105b32686c13c))
    -   add `rangeClicked` event on click to range so we can get the label and the dates of the clicked range ([72d43b61](https://github.com/fetrarij/ngx-daterangepicker-material/commit/72d43b6179771c7521d6c2bb690584711a072ce3))

### Bug Fixes

-   **single-datepicker:**
    -   the month label on january have a wrong year ([397554c7](https://github.com/fetrarij/ngx-daterangepicker-material/commit/397554c7719e207cd232e9392119ee45d9b2296e))
    -   on select a single datepicker, the selected value is not updated ([af838860](https://github.com/fetrarij/ngx-daterangepicker-material/commit/af8388604d428c22124e095f0c746ae2268959cd))
-   **range:** wrong var: showCalInRanges not isShown ([8a6d31c3](https://github.com/fetrarij/ngx-daterangepicker-material/commit/8a6d31c3d444460c8a813dea5587204457397d5c))

# 1.1.4 (2018-07-11)

### New Features

-   **ranges:**

    -   set active class to default date in range ([6fc70f02](https://github.com/fetrarij/ngx-daterangepicker-material/commit/6fc70f025906bf6babbc5812a8e105b32686c13c))
    -   add event on click to range so we can get the label and the dates of the clicked range ([72d43b61](https://github.com/fetrarij/ngx-daterangepicker-material/commit/72d43b6179771c7521d6c2bb690584711a072ce3))

        ### new available event: **\(rangeClicked)**

        > Fired when clicked on range, and send an object with range label and dates value, eg: `{label: 'This Month', dates: [Moment, Moment]}`

### Bug Fixes

-   **range:** wrong var: showCalInRanges not isShown ([8a6d31c3](https://github.com/fetrarij/ngx-daterangepicker-material/commit/8a6d31c3d444460c8a813dea5587204457397d5c))

# 1.1.3 (2018-07-10)

### New Features

-   **ranges:** disabling a range if it's beyond minDate or maxDate

# 1.1.2 (2018-06-22)

### Bug Fixes

-   **ranges:** Applied range does not have 'active' class - Fix #17 ([1c0f03d4](https://github.com/fetrarij/ngx-daterangepicker-material/commit/1c0f03d4bb9e4b66780ee26d635c98249d1ca73d))
-   **autoApply:** autoApply showing Cancel & Apply buttons - Fix #16 ([53288f50](https://github.com/fetrarij/ngx-daterangepicker-material/commit/53288f506bbfa276bf8840b34403ed6b17f1eedb))
-   **readme:** remove showInputs ([672ec99a](https://github.com/fetrarij/ngx-daterangepicker-material/commit/672ec99a106097c59e72923c2c480f9ba92be1c1))

# 1.1.1 (2018-06-12)

### Chores

-   **test:** fix tests ([b83fddfc](https://github.com/fetrarij/ngx-daterangepicker-material/commit/b83fddfca4b31a2d833712358ab895920f69dde1))

### New Features

-   **#3:** show 2nd calendar as per maxDate if provided - As, we have provided maxDate, there is no use of showing next month as 2nd calendar as those dates will not be selectable - instead, can it be maxDate's month as second calendar and prev month as first calendar - Fix #3 ([daf00119](https://github.com/fetrarij/ngx-daterangepicker-material/commit/daf00119cc6865cb7f3ad7d00307d0cf47b673c0))
-   **customisation:** ability to add custom classes and custom invalid dates function - isCustomDate - isInvalidDate - Close #12 ([145bbf5c](https://github.com/fetrarij/ngx-daterangepicker-material/commit/145bbf5c3401c00545608e9e8286fa58e45e51c4))

### Bug Fixes

-   **clear-date:** bug fixes - doesn't clear the date when clearing - add options to show/hide the clear button ([022c0d00](https://github.com/fetrarij/ngx-daterangepicker-material/commit/022c0d00e7e54cecaeba5635a2388b5fc746b3ff))
-   **input-element:** label is not updated after applying ([6247be2f](https://github.com/fetrarij/ngx-daterangepicker-material/commit/6247be2f2bfcaaca84240a2c673bd02c617794dc))

# 1.1.0 (2018-06-11)

### Chores

-   **test:** fix tests ([b83fddfc](https://github.com/fetrarij/ngx-daterangepicker-material/commit/b83fddfca4b31a2d833712358ab895920f69dde1))
-   **demo:** style & doc ([03e9ee48](https://github.com/fetrarij/ngx-daterangepicker-material/commit/03e9ee48f4299d240f46b35b5ce58863af8c3b63))

### Documentation Changes

-   **readme:** remove showInputs & add showDropdowns ([3dadd3bf](https://github.com/fetrarij/ngx-daterangepicker-material/commit/3dadd3bfc562277ae4e0c87c35c2c5c56b953064))

### New Features

-   **calendar:** remove showInputs & add showDropdowns ([e3edd35f](https://github.com/fetrarij/ngx-daterangepicker-material/commit/e3edd35ff8b38c82ba6fc54578d83f8f5bd02b80))
-   **clear-event:** add ability to clear dates ([ac06e825](https://github.com/fetrarij/ngx-daterangepicker-material/commit/ac06e8250f6f237f88c9ed60702755b16555be93))
-   **firstDay:** ability to change week starting calendar with locale.firstDay ([bf5ba843](https://github.com/fetrarij/ngx-daterangepicker-material/commit/bf5ba8433a3f6d7058bc0a0532c4d3157c963398))

### Bug Fixes

-   **input:** update input element for model initialized ([95405fc6](https://github.com/fetrarij/ngx-daterangepicker-material/commit/95405fc6e9ac0d228c96ac30ccbb4cbfe9e86a63))
-   **change-event:** change & ngModelChange events - fix ngModelChange - change event not trigerred - add some tests - Fix #10 ([caf56351](https://github.com/fetrarij/ngx-daterangepicker-material/commit/caf56351b6ab6fc6dede1f9ce9232c6ef2434a01))
-   **render:** 'double' class when double calendar only ([c8bfd024](https://github.com/fetrarij/ngx-daterangepicker-material/commit/c8bfd024b5941b19ecf70cc62b86bea264bdcd16))

### Code Style Changes

-   **select:** styling the select on showDropdowns ([727f47f3](https://github.com/fetrarij/ngx-daterangepicker-material/commit/727f47f3bdd7493bfaf6b9713458a66bb6ae554e))

# 1.0.6 (2018-06-03)

### Bug Fixes

-   **render:** 'double' class when double calendar only ([c8bfd024](https://github.com/fetrarij/ngx-daterangepicker-material/commit/c8bfd024b5941b19ecf70cc62b86bea264bdcd16))

-   **calendar:** Fix issue #6

# 1.0.5 (2018-05-29)

### Chores

-   **doc:** update readme ([196df1e3](https://github.com/fetrarij/ngx-daterangepicker-material/commit/196df1e320a683a56ab50f48fc46b5cfdf1e5e9e))
-   **demo:** add custom ranges demo ([bec21cb6](https://github.com/fetrarij/ngx-daterangepicker-material/commit/bec21cb6577c7a56444362a15c4c9692f27384ce))

### New Features

-   **daterangepicker:** add custom ranges ([67771664](https://github.com/fetrarij/ngx-daterangepicker-material/commit/6777166491603bdd86070d11bde573a355276d4b))

### Code Style Changes

-   **calendar:** update style ([4ebd3537](https://github.com/fetrarij/ngx-daterangepicker-material/commit/4ebd353799bf8f2c9a223709e87598555a51d240))

# 1.0.4 (2018-05-28)

### Chores

-   **demo:** update demo ([674c21fa](https://github.com/fetrarij/ngx-daterangepicker-material/commit/674c21fa2c3bdbe4212e8ca7af7e509c9ac5e610))
-   **build:** update ng-packagr ([6e57c527](https://github.com/fetrarij/ngx-daterangepicker-material/commit/6e57c527d898b226109256a7f87191918e2f45b3))

### Bug Fixes

-   **calendar:** - fix prev & next on linked datepicker - fix single datepicker rendering ([a46ded8a](https://github.com/fetrarij/ngx-daterangepicker-material/commit/a46ded8a4a8fd7654026cbc21faa2239bf47123f))

### Other Changes

-   **readme:** update ([7be12e30](https://github.com/fetrarij/ngx-daterangepicker-material/commit/7be12e30ff5e3c1a2c1f2759b639fc853831ed87))
-   open dp ([8516f4e8](https://github.com/fetrarij/ngx-daterangepicker-material/commit/8516f4e89d6b529c8d4e70de8418489e9c2c6062))
